Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603099 - [abrt] crash in system-config-firewall-1.2.25-1.fc13: etc_services.py:74:load:IOError: [Errno 2] Aucun fichier ou dossier de ce type: '/etc/services'
[abrt] crash in system-config-firewall-1.2.25-1.fc13: etc_services.py:74:load...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:4b62c7ba
:
Depends On:
Blocks: 604726
  Show dependency treegraph
 
Reported: 2010-06-11 10:30 EDT by zbechir
Modified: 2010-08-17 01:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: system-config-firewall-1.2.27-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 604726 (view as bug list)
Environment:
Last Closed: 2010-08-17 01:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (746 bytes, text/plain)
2010-06-11 10:30 EDT, zbechir
no flags Details

  None (edit)
Description zbechir 2010-06-11 10:30:06 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/system-config-firewall
component: system-config-firewall
executable: /usr/bin/system-config-firewall
kernel: 2.6.33.5-112.fc13.x86_64
package: system-config-firewall-1.2.25-1.fc13
reason: etc_services.py:74:load:IOError: [Errno 2] Aucun fichier ou dossier de ce type: '/etc/services'
release: Fedora release 13 (Goddard)

backtrace
-----
etc_services.py:74:load:IOError: [Errno 2] Aucun fichier ou dossier de ce type: '/etc/services'

Traceback (most recent call last):
  File "/usr/bin/system-config-firewall", line 36, in <module>
    import fw_gui
  File "/usr/share/system-config-firewall/fw_gui.py", line 31, in <module>
    import etc_services
  File "/usr/share/system-config-firewall/etc_services.py", line 123, in <module>
    services = _Services()
  File "/usr/share/system-config-firewall/etc_services.py", line 71, in __init__
    self.load()
  File "/usr/share/system-config-firewall/etc_services.py", line 74, in load
    fd = open(ETC_SERVICES, "r")
IOError: [Errno 2] Aucun fichier ou dossier de ce type: '/etc/services'

Local variables in innermost frame:
self: []
Comment 1 zbechir 2010-06-11 10:30:08 EDT
Created attachment 423299 [details]
File: backtrace
Comment 2 Thomas Woerner 2010-06-15 12:46:24 EDT
/etc/services is missing on your system according to the error message. Can you please add the output of "ls -laZ /etc/services".
Comment 3 zbechir 2010-06-16 09:41:48 EDT
ls -laZ /etc/services
ls: impossible d'accéder à /etc/services: Aucun fichier ou dossier de ce type
Comment 4 Thomas Woerner 2010-06-16 11:23:17 EDT
Your installation is broken. /etc/services is part of the setup package, which is a core component.

Please verify your system integrity with "rpm -Va" and reinstall failing packages with "yum reinstall <package>". Use "yum groupinstall core" to install missing core packages.

I have fixed system-config-firewall not to fail if /etc/services does not exist or is not readable. Fixed upstream: http://git.fedorahosted.org/git/?p=system-config-firewall.git;a=commit;h=ccd9052a513da3987d35dc516539863c343fc105

Will be part of next package release.
Comment 5 Fedora Update System 2010-08-11 05:46:57 EDT
system-config-firewall-1.2.27-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-firewall-1.2.27-1.fc13
Comment 6 Fedora Update System 2010-08-12 00:08:14 EDT
system-config-firewall-1.2.27-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-firewall'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-firewall-1.2.27-1.fc13
Comment 7 Fedora Update System 2010-08-17 01:43:10 EDT
system-config-firewall-1.2.27-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.